When is it appropriate to change the deployment target?


#1

OF seems to default to a deployment target of MacOS10.9. When would it be appropriate to bump that number up? And does the OF project itself need to match the app’s target?


#2

i’m not sure but i think this is fine to change to what ever is the latest version of osx you have around - i think it’s just an xcode thing?


#3

It has to do with the supported versions. If you are just running the app on your computer don’t worry about it but you should if you are distributing it. It sets the lowest os version on which it will run.
https://help.apple.com/xcode/mac/current/#/deve69552ee5

you can have several targets with different deployement targets in order to have the same project that compiles into different versions.

hope this helps